Task # 4 (Closed): WaveFormPicker Verification

MINI-LFR - WFP 0.0.B - Validation
24/01/2014 12:38 PM - Jean-Christophe Pellion

Status: Closed Start date: 24/01/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision:

Description

"MINI_LFR_WFP-0-0-B.pdb":ht

r292

History

#1 - 24/01/2014 12:39 PM - Jean-Christophe Pellion

- Assignee set to paul leroy

#2 - 06/02/2014 09:28 AM - paul leroy

- File 2014_2 _6-9 23 5_NORM_SWF_F2.data added
- File 2014_2 6-9 23 5 NORM_SWF_2.png added

- File 2014_2 _6-9 23 5 NORM_SWF.png added

Test case 1: lancement du soft, passage en mode NORMAL, enregistrement des snapshots swf_f0, swf_f1 et swf_f2. Le soft est modifié pour arréter
les acquisitions apres les premiers snapshots.

Parametres du waveform picker:

waveform_picker_regs->delta_snapshot = 0x1000; // Oxlc *** 4096 = 16 * 256
waveform_picker_regs->delta_f0 = 0x1; // 0x20 *** 3083 = 4096 - 1013
waveform_picker_regs->delta_£f0_2 = 0x7; // 0x24 ***x 7 [7 bits]
waveform_picker_regs—->delta_f1l = 0x1; // 0x28 *** 3136 = 4096 — 960
waveform_picker_regs->delta_f2 = 0x1; // 0x2c *** 3072 = 12 * 256

// 2352 = 7 * 336

waveform_picker_regs->nb_data_by_buffer = 0x92f; // 0x30 *** 2352 - 1 => nb samples -1
waveform_picker_regs->snapshot_param = 0x930; // 0x34 *** 2352 => nb samples
waveform_picker_regs->start_date = 0x00; // 0x38
waveform_picker_regs->nb_word_in_buffer = 0x1b92; // 0x3c *** 2352 * 3 + 2 = 7058

#3 - 06/02/2014 01:49 PM - paul leroy
- File 2014_2 6-13 35 41_NORM_SWF.png added

méme test que le précédent
=> le deuxiéme snapshot swf_f2 commence trop tot
=> le deuxiéme snapshot swf_f1 a des champs time erronés, coarse time = 0 et fine time = 0

#4 - 25/02/2014 02:20 PM - Jean-Christophe Pellion

- Status changed from New to Closed

Remplacé par la task #50
